Issue 120750 - [From Symphony] Repeat count of animations ignored.
[From Symphony] Repeat count of animations ignored.
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: viewing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 13:19 UTC by Andre
Modified: 2012-10-18 06:54 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Repeat count of animations is ignored. (11.31 KB, application/vnd.oasis.opendocument.presentation)
2012-08-29 13:19 UTC, Andre
no flags Details
Original patch by Wang Zhe (1.48 KB, patch)
2012-08-29 15:34 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2012-08-29 13:19:22 UTC
Created attachment 79214 [details]
Repeat count of animations is ignored.

How to reproduce:

1. Create new Impress document.
2. Add a shape.
3. Assign any custom animation, eg "Motion Paths/Right".
4. Change repeat count to eg 3 (click on "..." button right of the "Property" drop down box, click on "Timing" tab, change "Repeat" value.)
5. Start slide show and click to start animation.

The animation should be executed 3 times but it is executed only once.
Comment 1 Andre 2012-08-29 13:25:53 UTC
At least for the bugdoc the repeat count is stored at an animation node nearer to the root, not at the node that represents the animated shape.  Going up the tree to retrieve the repeat count fixes the bug.
Comment 2 Andre 2012-08-29 15:34:59 UTC
Created attachment 79216 [details]
Original patch by Wang Zhe
Comment 3 SVN Robot 2012-08-29 15:43:58 UTC
"af" committed SVN revision 1378619 into trunk:
#i120750# Fixed processing of repeat count.
Comment 4 Andre 2012-08-29 15:48:35 UTC
Applied the patch provided by Wang Zhe and did some minor clean up.

Original Symphony issue id is Sym2_3737.
Comment 5 liuping 2012-09-18 08:46:10 UTC
verify on AOO3.5_r1386711 on winxp/Win7-64bit/SLED 11 SP1 32 bit/Mac 10.7/Ubuntu 10.04 32 bit ,pass
Comment 6 Shenfeng Liu 2012-10-18 06:54:41 UTC
Update Target Milestone to AOO 3.5.0.